Module Connector - UNIX 1.6.2

SW used to communicate with all XeThru modules on a host computer

  1. admin

    admin Administrator Staff Member

    Vivek R likes this.
  2. Vivek R

    Vivek R New Member

    Hello,

    We are trying to use this module connector with Intel Edison platform and the provided compiled library doesn't work for Edison.
    /root/ModuleConnector-unix-1.0.0/python/pymoduleconnector/moduleconnectorwrapper/_moduleconnectorwrapper.so: wrong ELF class: ELFCLASS64

    How can we get a compiled version for Intel Edison? Any inputs?
     
  3. Vivek R

    Vivek R New Member

    Any updates for Edison?
     
  4. Ole-Johan

    Ole-Johan Moderator Staff Member

    Sorry, we don't have the Module Connector component for Intel Edison at this time. I'll be sure to let you know if and when that is available.
     
  5. Davide Bongiovanni

    Davide Bongiovanni New Member

    I am trying to use this on Ubuntu 14.04 but I can't seem to compile anything (nor install the python packages) because of a glibc6 compatibility issue. Is there a solution?
     
  6. Christian Asserson

    Christian Asserson New Member Staff Member

    Currently we only support 64 bit version of the library on Linux and you currently need g++ 5.3 or later. We are working to support g++ 4.9.
     
  7. Vuwij

    Vuwij New Member

    Is it possible to obtain the source code for the libModuleConnector64?

    I am trying to load the .so library in MATLAB for Unix. But I get libModuleConnector.so is not a valid shared library
     
    Last edited: May 16, 2017
  8. S Nazrul

    S Nazrul New Member

    I am trying to use python and getting this error "ImportError: DLL load failed: %1 is not a valid Win32 application." Could you explain please how can I solve this problem? Thanks!!
     
  9. admin

    admin Administrator Staff Member

    admin updated Module Connector - UNIX with a new update entry:

    Module Connector V 1.1.8

    Read the rest of this update entry...
     
  10. Davide Bongiovanni

    Davide Bongiovanni New Member

    Still no g++4.9 support?
     
  11. admin

    admin Administrator Staff Member

    admin updated Module Connector - UNIX with a new update entry:

    Module Connector V 1.2.2

    Read the rest of this update entry...
     
  12. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

    Christian Rødli Amble updated Module Connector - UNIX with a new update entry:

    ModuleConnector v 1.4.0

    Read the rest of this update entry...
     
  13. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

  14. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

  15. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

  16. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

    Christian Rødli Amble updated Module Connector - UNIX with a new update entry:

    ModuleConnector v 1.5.3

    Read the rest of this update entry...
     
  17. Christian Rødli Amble

    Christian Rødli Amble Member Staff Member

    Christian Rødli Amble updated Module Connector - UNIX with a new update entry:

    ModuleConnector v 1.6.2

    Read the rest of this update entry...
     
  18. Blacbird

    Blacbird New Member

    Hi,

    I'm still having troubles establishing a connection between our Samsung ARTIK710 module, running ubuntu 16.04. LTS, and the X4M200 sensor using pymoduleconnector.
    When I try to call a given example, I get following error message:

    python X4M200_X4M300_printout_infromation.py -d /dev/ttyS
    Traceback (most recent call last):
    File "X4M200_X4M300_printout_infromation.py", line 17, in <module>
    import pymoduleconnector
    File "/usr/local/lib/python2.7/dist-packages/pymoduleconnector-1.6.2-py2.7.egg/pymoduleconnector/__init__.py",ine 2, in <module>
    from .moduleconnector import DataReader
    File "/usr/local/lib/python2.7/dist-packages/pymoduleconnector-1.6.2-py2.7.egg/pymoduleconnector/moduleconnect.py", line 5, in <module>
    from .moduleconnectorwrapper import \
    File "/usr/local/lib/python2.7/dist-packages/pymoduleconnector-1.6.2-py2.7.egg/pymoduleconnector/moduleconnectwrapper/__init__.py", line 28, in <module>
    _moduleconnectorwrapper = swig_import_helper()
    File "/usr/local/lib/python2.7/dist-packages/pymoduleconnector-1.6.2-py2.7.egg/pymoduleconnector/moduleconnectwrapper/__init__.py", line 24, in swig_import_helper
    _mod = imp.load_module('_moduleconnectorwrapper', fp, pathname, description)
    ImportError: /usr/local/lib/python2.7/dist-packages/pymoduleconnector-1.6.2-py2.7.egg/pymoduleconnector/modulecoectorwrapper/_moduleconnectorwrapper.so: cannot open shared object file: No such file or directory

    Did anyone experience similiar problems or has a clue for me where to look for the error?
    Thank you
     
  19. Charlie Shao

    Charlie Shao Moderator Staff Member

    Did you install the python library at first? Check the folder to see if _moduleconnectorwrapper.so exist.